LazPaint(1)

NAME
LazPaint - Image editor

SYNOPSIS
lazpaint [INPUT FILE] [OUTPUT FILE]
lazpaint [INPUT FILE] [ACTION]... [OUTPUT FILE]

DESCRIPTION
Graphics viewer and editor.

Can read layered files (lzp, ora, pdn, oXo), multi-images (gif, ico, tiff), flat files (bmp, jpeg, pcx, png, tga, xpm, xwd), vectorial (svg), 3D (obj). Has drawing tools, phong shading, curve adjustments, filters and render some textures.

OPTIONS
If supplied, the INPUT FILE is loaded. If the OUTPUT FILE is supplied, the image is saved and the program ends. Otherwise, the GUI of the program is displayed.

-scriptbasedir DIRECTORY
    set the directory where Python scripts for LazPaint are located.

-script FILENAME
    runs the specified Python script. It must have a ".py" extension.

-quit
    quits the program even if no output file was provided. Can be useful when only running scripts.

-new WIDTH,HEIGHT
    creates an empty image of size WIDTH x HEIGHT.

-resample WIDTH,HEIGHT
    resamples the image to the size WIDTH x HEIGHT.

-opacity ALPHA
    applies the opacity to the image. ALPHA is between 0 and 255.

-gradient R1,G1,B1,A1,R2,G2,B2,A2,TYPE,X1,Y1,X2,Y2
    renders a gradient from point X1,Y1 to point X2,Y2. TYPE can be linear, reflected, diamond, radial or angular. The starting color is (R1,G1,B1,A1) and final color is (R2,G2,B2,A2).

-horizontalflip
    flips selection or image horizontally.

-verticalflip
    flips selection or image vertically.

-swapredblue
    swap red and blue channels.

-smartzoom3
    resample the image 3 times bigger with smart detection of borders.

-rotatecw
    rotates the image clockwise.

-rotateccw
    rotates the image counter-clockwise.

-rotate180
    rotates the image 180 degrees.